## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global appname com.github.cassidyjames.dippi

Name:           dippi
Summary:        Calculate display info like DPI and aspect ratio
Version:        4.0.2
Release:        %autorelease
# The entire source is GPL-3.0-only, except:
#   - data/metadata.metainfo.xml.in is CC0-1.0, which is allowed for content
#     only
License:        GPL-3.0-only AND CC0-1.0

URL:            https://github.com/cassidyjames/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  desktop-file-utils
BuildRequires:  gettext

# Still required by guidelines for now
# (https://pagure.io/packaging-committee/issue/1053):
BuildRequires:  libappstream-glib
# Matches what gnome-software and others use:
BuildRequires:  appstream

BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  gcc

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)

Requires:       hicolor-icon-theme

Summary(en_AU): Calculate display info like DPI and aspect ratio
Summary(en_CA): Calculate display info like DPI and aspect ratio
Summary(en_GB): Calculate display info like DPI and aspect ratio
Summary(es):    Cálculo de datos de la pantalla como los PPP y la relación de aspecto
Summary(fr_CA): Calculez les informations de l’écran comme le DPI ou le ratio
Summary(fr):    Calculez les informations de l’écran comme le DPI ou le ratio
Summary(it):    Calcola informazioni di visualizzazione come DPI e proporzioni
Summary(lt):    Apskaičiuoti tokią ekrano informaciją kaip taškus colyje (DPI) ir proporcijas
Summary(nl):    Bereken scherminformatie, zoals DPI en beeldverhouding
Summary(pt):    Calcule informação do monitor como o DPI e a relação de aspeto
Summary(tr):    DPI ve en boy oranı gibi ekran bilgilerini hesaplama


%description
Analyze any display. Input a few simple details and figure out the
aspect ratio, DPI, and other details of a particular display. Great for
deciding which laptop or external monitor to purchase, and if it would
be considered HiDPI.

Handy features:
  • Find out if a display is a good choice based on its size and resolution
  • Get advice about different densities
  • Learn the logical resolution
  • Differentiate between laptops and desktop displays
  • Stupid simple: all in a cute li’l window

Tells you if a display’s density is:
  • Very Low DPI,
  • Fairly Low DPI,
  • Ideal for LoDPI,
  • Potentially Problematic,
  • Ideal for HiDPI,
  • Fairly High for HiDPI, or
  • Too High DPI

%description -l en_AU
Analyze any display. Input a few simple details and figure out the
aspect ratio, DPI, and other details of a particular display. Great for
deciding which laptop or external monitor to purchase, and if it would
be considered HiDPI.

Handy features:
  • Find out if a display is a good choice based on its size and resolution
  • Get advice about different densities
  • Learn the logical resolution
  • Differentiates between laptops and desktop displays
  • Stupid simple: all in a cute li’l window

Tells you if a display’s density is:
  • Very Low DPI,
  • Fairly Low DPI,
  • Ideal for LoDPI,
  • Potentially Problematic,
  • Ideal for HiDPI,
  • Fairly High for HiDPI, or
  • Too High DPI

%description -l en_CA
Analyze any display. Input a few simple details and figure out the
aspect ratio, DPI, and other details of a particular display. Great for
deciding which laptop or external monitor to purchase, and if it would
be considered HiDPI.

Handy features:
  • Find out if a display is a good choice based on its size and resolution
  • Get advice about different densities
  • Learn the logical resolution
  • Differentiates between laptops and desktop displays
  • Stupid simple: all in a cute li’l window

Tells you if a display’s density is:
  • Very Low DPI,
  • Fairly Low DPI,
  • Ideal for LoDPI,
  • Potentially Problematic,
  • Ideal for HiDPI,
  • Fairly High for HiDPI, or
  • Too High DPI

%description -l en_GB
Analyze any display. Input a few simple details and figure out the
aspect ratio, DPI, and other details of a particular display. Great for
deciding which laptop or external monitor to purchase, and if it would
be considered HiDPI.

Handy features:
  • Find out if a display is a good choice based on its size and resolution
  • Get advice about different densities
  • Learn the logical resolution
  • Differentiates between laptops and desktop displays
  • Stupid simple: all in a cute li’l window

Tells you if a display’s density is:
  • Very Low DPI,
  • Fairly Low DPI,
  • Ideal for LoDPI,
  • Potentially Problematic,
  • Ideal for HiDPI,
  • Fairly High for HiDPI, or
  • Too High DPI

%description -l es
Análisis de cualquier pantalla. Proporcione unos pocos datos y averigüe la
relación de aspecto, los PPP y otros detalles sobre una pantalla concreta.
Estupendo para decidir qué portátil o monitor externo comprar y si este
puede considerarse de alta resolución.

Funcionalidades útiles:
  • Descubra si una pantalla es una buena elección en función de su tamaño y su
    resolución
  • Obtenga orientaciones sobre las distintas densidades
  • Conozca la resolución lógica
  • Distinga las pantallas para portátiles de las de escritorio
  • Sencillísimo: todo en una ventanita

Le dice si la densidad de una pantalla es:
  • de muy pocos PPP,
  • de PPP relativamente escasos,
  • ideal para resolución baja,
  • potencialmente problemática,
  • ideal para resolución alta,
  • bastante elevada para resolución alta, o
  • de PPP demasiado elevados

%description -l fr_CA
Analysez n’importe quel écran. Entrez de simples détails à son propos et
obtenez son ratio, son DPI, et d’autres détails. Ainsi, vous pourrez plus
aisément décider quel ordinateur portable ou écran acheter, et savoir si il
sera considéré comme HiDPI.

Fonctionnalités utiles:
  • Déterminez si un écran est un bon choix en vous basant sur sa diagonale et
    sa résolution
  • Obtenez des conseils sur différentes densités d’écran
  • Apprendre la résolution logique
  • Différencie les écrans d’ordinateurs de bureau et portables
  • Stupidement simple: tout dans une p’tite fenêtre toute mignone

Vous dit si la densité d’un écran a:
  • DPI très faible
  • DPI plutôt faible
  • Densité idéale pour le LoDPI
  • DPI potentiellement problèmatique
  • Densité idéale pour le HiDPI
  • Densité plutôt haute pour le HiDPI, ou
  • DPI trop haut

%description -l fr
Analysez n’importe quel écran. Saisissez quelques informations simples et
découvrez le rapport d’aspect, le DPI et d’autres détails d’un écran
particulier. Idéal pour décider de l’achat d’un ordinateur portable ou d’un
écran externe, et pour savoir s’il est considéré comme HiDPI.

Fonctionnalités pratiques :
  • Vérifiez si un écran est un bon choix en fonction de sa taille et de sa
    résolution
  • Obtenez des conseils sur les différentes densités
  • Apprenez la résolution logique
  • Différenciez les écrans d’ordinateurs de bureau et d’ordinateurs portables
  • Stupidement simple : tout dans une jolie p’tite fenêtre.

Vous dit si la densité d’un écran est :
  • à DPI très bas,
  • à DPI assez bas,
  • Idéale pour LoDPI,
  • Potentiellement problématique,
  • Idéale pour HiDPI,
  • assez haute pour HiDPI, ou
  • DPI trop haut

%description -l it
Analizza qualsiasi display. Inserisci alcuni semplici dettagli e scopri le
proporzioni, il DPI e altri dettagli di un particolare display. Ottimo per
decidere quale laptop o monitor esterno acquistare e se sarebbe considerato
HiDPI.

Funzioni utili:
  • Scopri se un display è una buona scelta in base alle sue dimensioni e
    risoluzione
  • Ottieni consigli sulle diverse densità
  • Impara la risoluzione logica
  • Distinguere tra laptop e display desktop
  • Stupido e semplice: tutto in una graziosa finestrella

Ti dice se la densità di un display è:
  • DPI molto basso,
  • DPI abbastanza basso,
  • Ideale per LoDPI,
  • Potenzialmente problematico,
  • Ideale per HiDPI,
  • Abbastanza alto per HiDPI, o
  • DPI troppo alto

%description -l lt
Išanalizuokite bet kurį ekraną. Įveskite kai kurią paprastą informaciją ir
sužinokite proporcijas, taškus colyje (DPI) ir kitą tam tikro ekrano
informaciją. Puikiai tinka sprendžiant kurį nešiojamąjį kompiuterį ar išorinį
ekraną įsigyti, ir ar jis bus laikomas HiDPI.

Naudingos ypatybės:
  • Sužinokite ar ekranas pagal savo dydį ir raišką yra geras pasirinkimas
  • Gaukite patarimus apie įvairius tankius
  • Sužinokite loginę raišką
  • Atskirkite nešiojamųjų ir stalinių kompiuterių ekranus
  • Kvailai paprasta:  viskas viename mažame lange

Nurodo ar ekrano tankis yra:
  • Labai žemo DPI,
  • Pakankamai žemo DPI,
  • Idealus LoDPI,
  • Galimai problematiškas,
  • Idealus HiDPI,
  • Pakankamai didelis HiDPI ar
  • Per didelio DPI

%description -l nl
Analyseer welk scherm dan ook. Voer een paar eenvoudige gegevens in en bereken
de beeldverhouding, DPI en andere schermgegevens. Handig bij het bepalen welke
laptop of externe monitor je wilt kopen en of het scherm in kwestie HiDPI is.

Handige functies:
  • Bepaal of een scherm een goede aankoop zou zijn, op basis van grootte en
    resolutie
  • Verkrijg advies over verschillende dichtheden
  • Verkrijg informatie over logische resolutie
  • Onderscheid tussen laptop- en desktopschermen
  • Eenvoudiger kan niet: alles in een klein, handig venster

Toont je of de schermdichtheid:
  • Erg laag is,
  • Redelijk laag,
  • Ideaal voor LoDPI,
  • Wellicht problematisch,
  • Ideaal voor HiDPI,
  • Redelijk hoog voor HiDPI of
  • Té hoog

%description -l pt
Analisa um monitor qualquer. Insira alguns detalhes simples e descubra a
relação de aspeto, DPI e outros detalhes de um monitor em particular. É ótimo
para decidir qual o computador portátil ou monitor a comprar e se é considerado
HiDPI.

Funcionalidades úteis:
  • Descubra se o monitor é a escolha correta baseando-se no seu tamanho e
    resolução
  • Obtenha conselhos sobre densidades diferentes
  • Aprenda a resolução lógica
  • Diferencie entre computadores portáteis e monitores de secretária
  • Estupidamente simples: tudo numa pequena e engraçada janela

Diz-lhe se a densidade do monitor é:
  • DPI Muito Baixo,
  • DPI Baixo,
  • Ideal para LoDPI,
  • Potencialmente Problemático
  • Ideal para HiDPI,
  • Razoavelmente Alto para HiDPI, ou
  • DPI Demasiado Alto

%description -l tr
Herhangi bir ekranı analiz edin. Birkaç basit ayrıntı girin ve en boy oranını,
DPI'yi ve belirli bir ekranın diğer ayrıntılarını bulun. Hangi dizüstü
bilgisayarın veya harici monitörün satın alınacağına ve HiDPI olarak kabul
edilip edilmeyeceğine karar vermek için harika bir uygulama.

Kullanışlı özellikler:
  • Bir ekranın boyutuna ve çözünürlüğüne göre iyi bir seçim olup olmadığını öğrenin
  • Farklı yoğunluklar hakkında tavsiye alın
  • Mantıksal çözünürlüğü öğrenin
  • Dizüstü bilgisayarlar ve masaüstü ekranları arasında ayrım yapın
  • Kısaca:Hepsi zarif bir pencere

Bir ekranın yoğunluğunu:
  • Çok Düşük DPI,
  • Oldukça Düşük DPI,
  • LoDPI için ideal,
  • Potansiyel Olarak Sorunlu,
  • HiDPI için ideal,
  • HiDPI için Oldukça Yüksek veya
  • Çok Yüksek DPI


%prep
%autosetup

# While https://github.com/cassidyjames/dippi/issues/82 is fixed upstream, the
# typo is still present in non-US English localizations—shall we say
# localisations?
sed -r -i 's/(display)‘s/\1’s/g' po/en_*.po


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{appname}


%check
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/%{appname}.desktop

# Still required by guidelines for now
# (https://pagure.io/packaging-committee/issue/1053):
appstream-util validate-relax --nonet \
    %{buildroot}/%{_metainfodir}/%{appname}.metainfo.xml
# Matches what gnome-software and others use:
appstreamcli validate --nonet \
    %{buildroot}/%{_metainfodir}/%{appname}.metainfo.xml


%files -f %{appname}.lang
%doc README.md
%license COPYING

%{_bindir}/%{appname}

%{_datadir}/applications/%{appname}.desktop
%{_datadir}/icons/hicolor/*/apps/%{appname}*.svg
%{_metainfodir}/%{appname}.metainfo.xml


%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 4.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> 4.0.2-2
- Leaf package: remove i686 support

* Fri Oct 14 2022 Benjamin A. Beasley <code@musicinmybrain.net> 4.0.2-1
- Update to 4.0.2

* Tue Sep 06 2022 Carl George <carl@george.computer> 4.0.0-1
- Update to 4.0.0, resolves rhbz#2124082

* Sun Jul 31 2022 Benjamin A. Beasley <code@musicinmybrain.net> 3.1.4-6
- Update License field to SPDX

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 13 2022 Benjamin A. Beasley <code@musicinmybrain.net> 3.1.4-3
- Add BR on gcc

* Wed Jan 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> 3.1.4-2
- Also validate AppData with appstreamcli

* Wed Dec 15 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.1.4-1
- Update to 3.1.4 (close RHBZ#2033015)

* Fri Dec 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.1.3-1
- Update to 3.1.3 (close RHBZ#2030959)

* Tue Nov 16 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.1.2-1
- Update to 3.1.2 (close RHBZ#2023636)

* Fri Sep 24 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.1.1-2
- Use %%{_metainfodir} macro in spec file

* Thu Jul 22 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.1.1-1
- Update to 3.1.1 (under-the-hood packaging updates for elementary OS 6)

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> 3.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jun 20 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.0-1
- Update to 3.1.0 (closes RHBZ#1974022)
- Upstream license is now clearly GPLv3+ with CC0 AppStream metadata file;
  updated License to GPLv3+ effective license
- Updated Portuguese (pt) translation, and added Turkish (tr) translation

* Tue Mar 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.7.4-6
- Fix prominent typo https://github.com/cassidyjames/dippi/issues/82
- Improve and localize summary and description

* Fri Feb 19 2021 Fabio Valentini <decathorpe@gmail.com> - 2.7.4-5
- Rebuilt for granite 6 soname bump.

* Tue Feb 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.7.4-4
- Correct License from “GPLv3” to “GPLv3+ and GPLv2+ and CC0”

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Feb 20 2020 Fabio Valentini <decathorpe@gmail.com> - 2.7.4-1
- Update to version 2.7.4.

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Apr 16 2019 Adam Williamson <awilliam@redhat.com> - 2.7.3-2
- Rebuild with Meson fix for #1699099

* Sun Apr 14 2019 Fabio Valentini <decathorpe@gmail.com> - 2.7.3-1
- Update to version 2.7.3.

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Nov 17 2018 Fabio Valentini <decathorpe@gmail.com> - 2.7.1-1
- Update to version 2.7.1.

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jul 07 2018 Fabio Valentini <decathorpe@gmail.com> - 2.7.0-1
- Update to version 2.7.0.

* Wed Jun 13 2018 Fabio Valentini <decathorpe@gmail.com> - 2.6.3-2
- Rebuild for granite5 soname bump.

* Sat Apr 21 2018 Fabio Valentini <decathorpe@gmail.com> - 2.6.3-1
- Update to version 2.6.3.

* Wed Apr 11 2018 Fabio Valentini <decathorpe@gmail.com> - 2.6.2-1
- Update to version 2.6.2.

* Wed Mar 21 2018 Fabio Valentini <decathorpe@gmail.com> - 2.6.1-1
- Update to version 2.6.1.

* Sat Feb 24 2018 Fabio Valentini <decathorpe@gmail.com> - 2.5.4-1
- Update to version 2.5.4.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Feb 05 2018 Fabio Valentini <decathorpe@gmail.com> - 2.5.3-1
- Update to version 2.5.3.

* Sat Jan 20 2018 Fabio Valentini <decathorpe@gmail.com> - 2.5.1-1
- Update to version 2.5.1.

* Mon Jan 15 2018 Fabio Valentini <decathorpe@gmail.com> - 2.5.0-1
- Initial package.


